package tls

  1. Overview
  2. Docs
Transport Layer Security purely in OCaml

Install

Dune Dependency

Authors

Maintainers

Sources

tls-v0.12.3.tbz
sha256=05903e32a63d1b8004a994c978c0051e76d009d43a58acd703114f0bbceed3cd
sha512=068d6469ebabf98d2083350cb707a728fb27fcdd88c66930ee94eccefe59f5202d51a488b6863f01763ae63c5766d440b857932c83acd046fe7bb3844351b348

Description

Transport Layer Security (TLS) is probably the most widely deployed security protocol on the Internet. It provides communication privacy to prevent eavesdropping, tampering, and message forgery. Furthermore, it optionally provides authentication of the involved endpoints. TLS is commonly deployed for securing web services (HTTPS), emails, virtual private networks, and wireless networks.

TLS uses asymmetric cryptography to exchange a symmetric key, and optionally authenticate (using X.509) either or both endpoints. It provides algorithmic agility, which means that the key exchange method, symmetric encryption algorithm, and hash algorithm are negotiated.

Read further and our Usenix Security 2015 paper.

Tags

org:mirage

Published: 04 Jul 2020

README

TLS - Transport Layer Security purely in OCaml

v0.12.3

Transport Layer Security (TLS) is probably the most widely deployed security protocol on the Internet. It provides communication privacy to prevent eavesdropping, tampering, and message forgery. Furthermore, it optionally provides authentication of the involved endpoints. TLS is commonly deployed for securing web services (HTTPS), emails, virtual private networks, and wireless networks.

TLS uses asymmetric cryptography to exchange a symmetric key, and optionally authenticate (using X.509) either or both endpoints. It provides algorithmic agility, which means that the key exchange method, symmetric encryption algorithm, and hash algorithm are negotiated.

Read further and our Usenix Security 2015 paper.

Documentation

API documentation

Installation

opam install tls will install this library.

Dependencies (19)

  1. logs
  2. hkdf
  3. fiat-p256
  4. hacl_x25519
  5. ptime >= "0.8.1"
  6. lwt >= "3.0.0"
  7. fmt
  8. domain-name >= "0.3.0"
  9. x509 >= "0.11.0" & < "0.12.0"
  10. mirage-crypto-rng >= "0.8.0" & < "0.11.0"
  11. mirage-crypto-pk
  12. mirage-crypto >= "0.8.1"
  13. sexplib
  14. cstruct-sexp
  15. cstruct >= "4.0.0" & < "6.0.0"
  16. ppx_cstruct >= "3.0.0"
  17. ppx_sexp_conv >= "v0.9.0"
  18. dune >= "1.0"
  19. ocaml >= "4.08.0" & < "4.12.0"

Dev Dependencies (3)

  1. alcotest with-test
  2. ounit with-test & >= "2.2.0"
  3. cstruct-unix with-test & >= "3.0.0"

Used by (47)

  1. albatross < "1.1.1"
  2. aws-s3-lwt < "3.0.0"
  3. azure-cosmos-db >= "0.1.5" & < "0.2.0"
  4. calculon < "0.5"
  5. capnp-rpc-lwt >= "0.3.1" & < "0.5.0"
  6. capnp-rpc-net < "1.1"
  7. caqti >= "2.1.1"
  8. caqti-mirage >= "2.1.1"
  9. caqti-tls
  10. colombe < "0.2.0"
  11. comby < "1.7.0"
  12. conduit-mirage >= "2.1.0" & != "3.0.0"
  13. conduit-tls
  14. current_github < "0.6.4"
  15. current_slack < "0.6.4"
  16. datakit-ci >= "0.12.1"
  17. dns-certify < "5.0.0"
  18. dns-resolver >= "6.0.0"
  19. doi2bib
  20. dropbox >= "0.2"
  21. git >= "2.0.0" & < "3.0.0"
  22. git-mirage >= "2.0.0" & < "3.0.0" | >= "3.6.0"
  23. git-unix = "2.0.0" | >= "2.1.1" & < "3.0.0"
  24. github >= "2.0.0" & < "3.0.0"
  25. github-unix < "3.1.0"
  26. gitlab-unix
  27. imaplet-lwt >= "0.1.8" & < "0.1.10" | >= "0.1.14"
  28. irc-client-tls < "0.7.1"
  29. letters < "0.3.3"
  30. links >= "0.9.6"
  31. mehari-mirage < "0.2"
  32. mirror
  33. octez-node < "16.0"
  34. opam-publish >= "0.3.5" & < "2.1.0"
  35. paf-cohttp = "0.0.5"
  36. quests
  37. sendmail >= "0.2.0" & < "0.4.1"
  38. sendmail-lwt < "0.4.1"
  39. sihl < "0.2.0" | >= "0.3.0~rc2"
  40. sihl-core
  41. slacko >= "0.13.0"
  42. syndic >= "1.5" & < "1.6.0"
  43. tezos-node != "9.0"
  44. tls-liquidsoap
  45. tls-mirage = "0.12.3"
  46. tlstunnel >= "0.1.3"
  47. wcs-api = "2017-05-26.02"

Conflicts

None

OCaml

Innovation. Community. Security.